package com.iamberry.app.config;

import java.io.Serializable;

public class ResponseHeader implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -6484300066753075795L;
	private int status;
	private String message;
	private int result_count;

	public ResponseHeader() {

	}

	public ResponseHeader(APIStatus status) {
		this(status.getStatus(), status.getMessage(), -1);
	}

	/**
	 * Constructor
	 * @param status
	 * @param message
	 * @param result_count
	 */
	public ResponseHeader(int status, String message, int result_count) {
		super();
		this.status = status;
		this.message = message;
		this.result_count = result_count;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public int getResult_count() {
		return result_count;
	}

	public void setResult_count(int result_count) {
		this.result_count = result_count;
	}

}
